
TYPO3.Neos - Bug # 48679

Status: Under Review Priority: Should have
Author: Simon Schaufelberger Category: UI
Created: 2013-05-30 Assigned To: Simon Schaufelberger
Updated: 2013-12-25 Due date:
Subject: menu and button style wrong in own backend module
Description

as far as i have found out is that the neos backend is based on twitter bootrap but some things are missing or wrong.

dropdownmenu.png: here is the active state really bad styled

dropdownmenu2.png: active state has ugly underline

buttons.png: this is a bit more complicated. using the usermanagement as an example, the parent container of the a tag doesnt have a
btn-group class which is missing imho. changing the link to a dropdown menu breaks the appearance of the dropdown itself. its
somewhere at the bottom of the page. adding btn-group fixes that but then the button itself has round corners.

History
#1 - 2013-06-01 00:26 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#2 - 2013-06-01 00:27 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#3 - 2013-06-15 10:18 - Mattias Nilsson
- Status changed from New to Under Review

#4 - 2013-06-20 13:30 - Karsten Dambekalns
- Category set to UI
- Assigned To set to Simon Schaufelberger

#5 - 2013-06-23 16:43 - Simon Schaufelberger
- File Lists.png added
- File Lists_after.png added

#6 - 2013-07-04 12:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#7 - 2013-07-04 12:39 - Gerrit Code Review
Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#8 - 2013-07-06 13:44 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#9 - 2013-10-29 01:52 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21178

#10 - 2013-11-23 17:47 - Simon Schaufelberger

here is a bootstrap draft what i want to achieve but currently even the normal dropdown menus (left menu) is not possible. The text is not showing up
and the colors are also wrong.

I don't know about the lifetime of this url but here is a demo:

http://bootply.com/96169

#11 - 2013-12-25 15:49 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.Neos has been pushed to the review server.
It is available at https://review.typo3.org/21178

Files
dropdownmenu.png 6 kB 2013-05-30 Simon Schaufelberger
dropdownmenu2.png 1.3 kB 2013-05-30 Simon Schaufelberger
buttons.png 3.9 kB 2013-05-30 Simon Schaufelberger
Lists.png 15 kB 2013-06-23 Simon Schaufelberger
Lists_after.png 13.7 kB 2013-06-23 Simon Schaufelberger
